# StdOutFormatTarget Class Reference

Inheritance diagram for StdOutFormatTarget:

List of all members.

## Public Member Functions

virtual void | writeChars (const XMLByte *const toWrite, const XMLSize_t count, XMLFormatter *const formatter)
virtual void | flush ()
constructors and destructor
| StdOutFormatTarget ()
| ~StdOutFormatTarget ()

## Constructor & Destructor Documentation

StdOutFormatTarget::StdOutFormatTarget | ( |  | ) |

StdOutFormatTarget::~StdOutFormatTarget | ( |  | ) |

## Member Function Documentation

virtual void StdOutFormatTarget::writeChars | ( | const XMLByte *const | toWrite,
|  | const XMLSize_t | count,
|  | XMLFormatter *const | formatter |
| ) |  |  | `[virtual]`

Implements XMLFormatTarget.

virtual void StdOutFormatTarget::flush | ( |  | ) | `[virtual]`

Reimplemented from XMLFormatTarget.

The documentation for this class was generated from the following file:

- StdOutFormatTarget.hpp